Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.javascript
Class AjaxSubmitFunction

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.ajax4jsf.javascript.JSFunction
              org.ajax4jsf.javascript.AjaxSubmitFunction

All Implemented Interfaces:
  ScriptString

    public class AjaxSubmitFunction

extends JSFunction

Author:
  shura

Field Summary
`static java.lang.String` | `AJAX_FUNCTION_NAME` Name Javasript function for submit AJAX request
`static java.lang.String` | `AJAX_REGIONS_ATTRIBUTE`
`static java.lang.String` | `LIMITRENDER_ATTR_NAME` Attribute to keep
`static java.lang.String` | `ONCOMPLETE_ATTR_NAME` Attribute for keep JavaScript funtion name for call after complete request.
`static java.lang.String` | `STATUS_ATTR_NAME` Attribute for keep clientId of status component

Constructor Summary
`AjaxSubmitFunction(javax.faces.component.UIComponent component)`
`AjaxSubmitFunction(javax.faces.component.UIComponent component, java.lang.String name)`

Method Summary
`javax.faces.component.UIComponent` | `getComponent()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`java.util.Map<java.lang.String,java.lang.String>` | `getRequestParameters()`

Methods inherited from class org.ajax4jsf.javascript.JSFunction
`addParameter, appendScript, getParameters`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`toScript`

Field Detail

### AJAX_FUNCTION_NAME

    public static final java.lang.String AJAX_FUNCTION_NAME

  Name Javasript function for submit AJAX request

  See Also:
    Constant Field Values

### AJAX_REGIONS_ATTRIBUTE

    public static final java.lang.String AJAX_REGIONS_ATTRIBUTE

See Also:
  Constant Field Values

### LIMITRENDER_ATTR_NAME

    public static final java.lang.String LIMITRENDER_ATTR_NAME

  Attribute to keep

  See Also:
    Constant Field Values

### ONCOMPLETE_ATTR_NAME

    public static final java.lang.String ONCOMPLETE_ATTR_NAME

  Attribute for keep JavaScript funtion name for call after complete request.

  See Also:
    Constant Field Values

### STATUS_ATTR_NAME

    public static final java.lang.String STATUS_ATTR_NAME

  Attribute for keep clientId of status component

  See Also:
    Constant Field Values

Constructor Detail

### AjaxSubmitFunction

    public AjaxSubmitFunction(javax.faces.component.UIComponent component)

### AjaxSubmitFunction

    public AjaxSubmitFunction(javax.faces.component.UIComponent component,
                              java.lang.String name)

Parameters:
  `name` -

Method Detail

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Returns:
    the options

### getRequestParameters

    public java.util.Map<java.lang.String,java.lang.String> getRequestParameters()

  Returns:
    the requestParameters

### getComponent

    public javax.faces.component.UIComponent getComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.